'use strict';

exports.__esModule = true;

var _objectAssign2 = require('./utils/objectAssign');

var _objectAssign3 = _interopRequireDefault(_objectAssign2);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var convertDataToObject = function convertDataToObject(app) {
  var data = void 0;
  var rData = void 0;

  if (app.attributes['q-data']) {
    try {
      data = JSON.parse(app.attributes['q-data'].value);
    } catch (e) {
      // Do nothing
    }
  }

  if (app.attributes['q-r-data']) {
    try {
      rData = JSON.parse(app.attributes['q-r-data'].value);

      Object.keys(rData).forEach(function (key) {
        var keyArray = rData[key].split('.');
        var initKeyValue = window[keyArray[0]];
        var keyValue = initKeyValue && keyArray.length > 1 ?
        // eslint-disable-next-line arrow-body-style
        keyArray.reduce(function (obj, newKey, index) {
          return obj[newKey] || (index === keyArray.length - 1 ? undefined : obj);
        }, initKeyValue) : initKeyValue;

        rData[key] = keyValue;
      });
    } catch (e) {
      // Do nothing
    }
  }

  return (0, _objectAssign3.default)({}, data, rData);
};

exports.default = convertDataToObject;
module.exports = exports['default'];