'use strict';

exports.__esModule = true;
var createComponentTemplates = function createComponentTemplates(app, components) {
  if (!components) {
    return null;
  }

  Object.keys(components).forEach(function (key) {
    var component = components[key];

    if (component.components) {
      component.components = createComponentTemplates(app, component.components);
    }

    if (component.template === 'local') {
      var selector = key.replace(/(.+?)([A-Z])/g, '$1-$2').toLowerCase();
      var componentEl = app.querySelector('[q-component="' + selector + '"]');

      if (componentEl) {
        component.template = (componentEl.tagName === 'TEMPLATE' ? componentEl.innerHTML : componentEl.outerHTML).replace(/(\sv-(text|html).*?>)[\s\S]*?<\//g, '$1</').replace(/<!--\s*<q-component>\s*-->[\s\S]*?<!--\s*<\/q-component>\s*-->/g, '').replace(/(?:<!--\s*)?<q-component-partial\s+name=["'](.*?)["']\s*><\/q-component-partial>(\s*-->)?/g, function (match, p1) {
          if (component.partials && component.partials[p1]) {
            return component.partials[p1];
          }

          return '';
        });
      }
    }
  });

  return components;
};

exports.default = createComponentTemplates;
module.exports = exports['default'];